Package: openspades

receipt doctor home
The Cooker is currently building: openspades

Cook log 2026-07-15 20:28

2026-07-14 2026-07-14

Cook: openspades 0.1.3
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): nettle-3.7.3
Installing (pkg/local): libtasn1-4.19.0
Installing (pkg/local): p11-kit-0.24.1
Installing (pkg/local): libgnutls-3.8.3
Installing (pkg/local): libidn-1.38
Installing (pkg/local): libcurl-7.81.0
Installing (pkg/local): curl-7.81.0
Installing (pkg/local): gmp-dev-6.3.0
Installing (pkg/local): gnutls-3.8.3
Installing (pkg/local): libgpg-error-dev-1.44
Installing (pkg/local): libgcrypt-dev-1.9.4
Installing (pkg/local): libtasn1-dev-4.19.0
Installing (pkg/local): nettle-dev-3.7.3
Installing (pkg/local): gtk-doc-1.32
Installing (pkg/local): p11-kit-dev-0.24.1
Installing (pkg/local): libunistring-dev-1.0
Installing (pkg/local): gnutls-dev-3.8.3
Installing (pkg/local): libidn-dev-1.38
Installing (pkg/local): libcrypto-dev-3.5.3
Installing (pkg/local): openssl-dev-3.5.3
Installing (pkg/local): curl-dev-7.81.0
Installing (pkg/local): libmagic-5.45
Installing (pkg/local): file-5.45
Installing (pkg/local): openal-1.22.0
Installing (pkg/local): freealut-1.1.0
Installing (pkg/local): openal-dev-1.22.0
Installing (pkg/local): freealut-dev-1.1.0
Installing (pkg/local): gcc83-lib-base-8.3.0
Installing (pkg/local): gcc83-8.3.0
Installing (pkg/local): linux-agp-3.16.55
Installing (pkg/local): linux-drm-3.16.55
Installing (pkg/local): xorg-libpciaccess-0.16
Installing (pkg/local): libdrm-2.4.100
Installing (pkg/local): xorg-libXfixes-5.0.3
Installing (pkg/local): xorg-libXdamage-1.1.5
Installing (pkg/local): xorg-libXxf86vm-1.1.4
Installing (pkg/local): libpthread-stubs-0.2
Installing (pkg/local): xorg-libICE-1.0.10
Installing (pkg/local): xorg-libSM-1.2.3
Installing (pkg/local): xorg-libXt-1.2.0
Installing (pkg/local): mesa-9.2.5
Installing (pkg/local): libglu-mesa-9.0.0
Installing (pkg/local): xorg-libXmu-1.1.3
Installing (pkg/local): xorg-libXi-1.7.10
Installing (pkg/local): glew-2.1.0
Installing (pkg/local): glew-dev-2.1.0
Installing (pkg/local): grep-3.7
Installing (pkg/local): fftw-3.3.10
Installing (pkg/local): libjpeg-9f
Installing (pkg/local): jpeg-9f
Installing (pkg/local): xorg-libXpm-3.5.13
Installing (pkg/local): libgd-2.3.3
Installing (pkg/local): shared-mime-info-2.2
Installing (pkg/local): tiff-4.4.0
Installing (pkg/local): gdk-pixbuf-2.31.1
Installing (pkg/local): libcroco-0.6.13
Installing (pkg/local): xorg-libXft-2.3.3
Installing (pkg/local): pango-1.36.8
Installing (pkg/local): librsvg-2.40.16
Installing (pkg/local): graphviz-3.0.0
Installing (pkg/local): ilmbase-2.3.0
Installing (pkg/local): xorg-libXrandr-1.5.2
Installing (pkg/local): freeglut-3.2.2
Installing (pkg/local): jasper-3.0.2
Installing (pkg/local): jbigkit-2.1
Installing (pkg/local): lcms-1.19
Installing (pkg/local): libgsf-1.14.46
Installing (pkg/local): libltdl-2.4.6
Installing (pkg/local): openexr-2.5.3
Installing (pkg/local): libwebp-1.3.2
Installing (pkg/local): imagemagick-7.1.0.27
Installing (pkg/local): libogg-1.3.5
Installing (pkg/local): libogg-dev-1.3.5
Installing (pkg/local): alsa-lib-1.2.7
Installing (pkg/local): dbus-1.12.20
Installing (pkg/local): libsdl2-2.0.20
Installing (pkg/local): libsdl2-dev-2.0.20
Installing (pkg/local): libsdl2-image-2.0.5
Installing (pkg/local): jpeg-dev-9f
Installing (pkg/local): libsdl2-image-dev-2.0.5
Installing (pkg/local): libdrm-intel-2.4.100
Installing (pkg/local): libdrm-radeon-2.4.100
Installing (pkg/local): libdrm-dev-2.4.100
Installing (pkg/local): libglu-mesa-dev-9.0.0
Installing (pkg/local): xorg-libXp-1.0.3
Installing (pkg/local): lesstif-0.95.2
Installing (pkg/local): libglw-mesa-8.0.0
Installing (pkg/local): libglw-mesa-dev-8.0.0
Installing (pkg/local): mesa-dri-9.2.5
Installing (pkg/local): mesa-dri-ati-9.2.5
Installing (pkg/local): mesa-dri-intel-9.2.5
Installing (pkg/local): libdrm-nouveau-2.4.100
Installing (pkg/local): mesa-dri-nouveau-9.2.5
Installing (pkg/local): xorg-util-macros-1.19.2
Installing (pkg/local): xorg-dri2proto-2.8
Installing (pkg/local): xorg-xproto-7.0.31
Installing (pkg/local): xorg-glproto-1.4.17
Installing (pkg/local): xorg-xextproto-7.3.0
Installing (pkg/local): xorg-fixesproto-5.0
Installing (pkg/local): xorg-damageproto-1.2.1
Installing (pkg/local): xorg-libXau-dev-1.0.9
Installing (pkg/local): xorg-libXdmcp-dev-1.1.3
Installing (pkg/local): libxcb-dev-1.14
Installing (pkg/local): xorg-inputproto-2.3.2
Installing (pkg/local): xorg-kbproto-1.0.7
Installing (pkg/local): xorg-xtrans-1.4.0
Installing (pkg/local): xorg-libX11-dev-1.7.0
Installing (pkg/local): xorg-libXfixes-dev-5.0.3
Installing (pkg/local): xorg-libXdamage-dev-1.1.5
Installing (pkg/local): xorg-libICE-dev-1.0.10
Installing (pkg/local): xorg-libSM-dev-1.2.3
Installing (pkg/local): xorg-libXt-dev-1.2.0
Installing (pkg/local): xorg-libXext-dev-1.3.4
Installing (pkg/local): xorg-xf86vidmodeproto-2.3.1
Installing (pkg/local): xorg-libXxf86vm-dev-1.1.4
Installing (pkg/local): mesa-dev-9.2.5
Installing (pkg/local): opus-1.3.1
Installing (pkg/local): opusfile-0.12
Installing (pkg/local): opus-dev-1.3.1
Installing (pkg/local): opusfile-dev-0.12
Installing (pkg/local): unzip-6.0
Installing (pkg/local): zip-3.0
Installing (pkg/local): cmake3-3.31.12
Extracting source archive "openspades-0.1.3.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -fstack-protector-strong
CXXLAGS  : -march=i486 -Os -pipe -fstack-protector-strong
CPPFLAGS : -D_GLIBCXX_USE_C99_MATH=1 -D_FORTIFY_SOURCE=2
LDFLAGS  : -Wl,--as-needed,-z,relro,-z,now

CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required):
  Compatibility with CMake < 3.10 will be removed from a future version of
  CMake.

  Update the VERSION argument <min> value.  Or, use the <min>...<max> syntax
  to tell CMake that the project requires at least <min> but has been updated
  to work with policies introduced by <max> or earlier.


-- The C compiler identification is GNU 8.3.0
-- The CXX compiler identification is GNU 8.3.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/gcc-83 - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/g++-83 - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Deprecation Warning at CMakeLists.txt:16 (cmake_policy):
  The OLD behavior for policy CMP0054 will be removed from a future version
  of CMake.

  The cmake-policies(7) manual explains that the OLD behaviors of all
  policies are deprecated and that a policy should be set to OLD only under
  specific short-term circumstances.  Projects should be ported to the NEW
  behavior and not rely on setting a policy to OLD.


-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Found SDL2: /usr/lib/libSDL2main.a;/usr/lib/libSDL2.so;-lpthread
-- Found SDL2_image: /usr/lib/libSDL2_image.so
-- Found OpenGL: /usr/lib/libGL.so
-- Found ZLIB: /usr/lib/libz.so (found version "1.3.2")
-- Found CURL: /usr/lib/libcurl.so (found version "7.81.0")
-- Found Freetype: /usr/lib/libfreetype.so (found version "2.13.2")
-- Found OpusFile: /usr/lib/libopusfile.so
-- C++11 activated.
-- Looking for fcntl
-- Looking for fcntl - found
-- Looking for poll
-- Looking for poll - found
-- Looking for gethostbyname_r
-- Looking for gethostbyname_r - found
-- Looking for gethostbyaddr_r
-- Looking for gethostbyaddr_r - found
-- Looking for inet_pton
-- Looking for inet_pton - found
-- Looking for inet_ntop
-- Looking for inet_ntop - found
-- Performing Test HAS_MSGHDR_FLAGS
-- Performing Test HAS_MSGHDR_FLAGS - Success
-- Check size of socklen_t
-- Check size of socklen_t - done
CMake Warning (dev) at Resources/CMakeLists.txt:8 (add_custom_command):
  Exactly one of PRE_BUILD, PRE_LINK, or POST_BUILD must be given.  Assuming
  POST_BUILD to preserve backward compatibility.

  Policy CMP0175 is not set: add_custom_command() rejects invalid arguments.
  Run "cmake --help-policy CMP0175" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at Resources/CMakeLists.txt:44 (add_custom_command):
  Exactly one of PRE_BUILD, PRE_LINK, or POST_BUILD must be given.  Assuming
  POST_BUILD to preserve backward compatibility.

  Policy CMP0175 is not set: add_custom_command() rejects invalid arguments.
  Run "cmake --help-policy CMP0175" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at Resources/CMakeLists.txt:58 (add_custom_command):
  Exactly one of PRE_BUILD, PRE_LINK, or POST_BUILD must be given.  Assuming
  POST_BUILD to preserve backward compatibility.

  Policy CMP0175 is not set: add_custom_command() rejects invalid arguments.
  Run "cmake --help-policy CMP0175" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at Resources/CMakeLists.txt:70 (add_custom_command):
  Exactly one of PRE_BUILD, PRE_LINK, or POST_BUILD must be given.  Assuming
  POST_BUILD to preserve backward compatibility.

  Policy CMP0175 is not set: add_custom_command() rejects invalid arguments.
  Run "cmake --help-policy CMP0175" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at Resources/CMakeLists.txt:75 (add_custom_command):
  Exactly one of PRE_BUILD, PRE_LINK, or POST_BUILD must be given.  Assuming
  POST_BUILD to preserve backward compatibility.

  Policy CMP0175 is not set: add_custom_command() rejects invalid arguments.
  Run "cmake --help-policy CMP0175" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Deprecation Warning at Sources/AngelScript/projects/cmake/CMakeLists.txt:1 (cmake_minimum_required):
  Compatibility with CMake < 3.10 will be removed from a future version of
  CMake.

  Update the VERSION argument <min> value.  Or, use the <min>...<max> syntax
  to tell CMake that the project requires at least <min> but has been updated
  to work with policies introduced by <max> or earlier.


CMake Deprecation Warning at Sources/AngelScript/projects/cmake_addons/CMakeLists.txt:1 (cmake_minimum_required):
  Compatibility with CMake < 3.10 will be removed from a future version of
  CMake.

  Update the VERSION argument <min> value.  Or, use the <min>...<max> syntax
  to tell CMake that the project requires at least <min> but has been updated
  to work with policies introduced by <max> or earlier.


-- Configuring done (1.9s)
-- Generating done (0.1s)
CMake Warning:
  Manually-specified variables were not used by the project:

    CMAKE_POLICY_VERSION_MINIMUM


-- Build files have been written to: ${src}/build
BASEURL ************ https://github.com/yvt/openspades-paks/releases/download/r33/OpenSpadesDevPackage-r33.zip
Connecting to github.com (140.82.121.4:443)
Connecting to release-assets.githubusercontent.com (185.199.110.133:443)
saving to 'OpenSpadesDevPackage-r33.zip'
OpenSpadesDevPackage 100% |********************************| 3941k  0:00:00 ETA
'OpenSpadesDevPackage-r33.zip' saved
Archive:  OpenSpadesDevPackage-r33.zip
  inflating: ./Nonfree/LICENSE.md    
  inflating: ./Nonfree/pak000-Nonfree.pak  
  inflating: ./OfficialMods/LICENSE  
  inflating: ./OfficialMods/font-unifont.pak  
[  0%] Built target OpenSpades_Resources_DevPaks
[  1%] Packing assets
${src}/Resources ${src}/build/Resources
${src}/build/Resources
[  1%] Built target OpenSpades_Resources
Generating FHS icons
Done generating FHS icons
[  1%] Built target OpenSpades_Unix
[  2%] Building CXX object Sources/AngelScript/projects/cmake_addons/CMakeFiles/Angelscript_addons.dir/__/__/addons/scriptany.cpp.o
In file included from ${src}/Sources/AngelScript/addons/scriptany.h:6,
                 from ${src}/Sources/AngelScript/addons/scriptany.cpp:1:
${src}/Sources/AngelScript/addons/scriptany.cpp: In function 'void RegisterScriptAny_Native(asIScriptEngine*)':
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'int (CScriptAny::*)() const' to 'void (CScriptAny::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptany.cpp:153:74: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("any", asBEHAVE_ADDREF, "void f()", asMETHOD(CScriptAny,AddRef), asCALL_THISCALL); assert( r >= 0 );
                                                                          ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'int (CScriptAny::*)() const' to 'void (CScriptAny::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptany.cpp:154:75: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("any", asBEHAVE_RELEASE, "void f()", asMETHOD(CScriptAny,Release), asCALL_THISCALL); assert( r >= 0 );
                                                                           ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'int (CScriptAny::*)()' to 'void (CScriptAny::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptany.cpp:164:78: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("any", asBEHAVE_GETREFCOUNT, "int f()", asMETHOD(CScriptAny,GetRefCount), asCALL_THISCALL); assert( r >= 0 );
                                                                              ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'bool (CScriptAny::*)()' to 'void (CScriptAny::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptany.cpp:166:77: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("any", asBEHAVE_GETGCFLAG, "bool f()", asMETHOD(CScriptAny,GetFlag), asCALL_THISCALL); assert( r >= 0 );
                                                                             ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'void (CScriptAny::*)(asIScriptEngine*)' to 'void (CScriptAny::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptany.cpp:167:82: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("any", asBEHAVE_ENUMREFS, "void f(int&in)", asMETHOD(CScriptAny,EnumReferences), asCALL_THISCALL); assert( r >= 0 );
                                                                                  ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'void (CScriptAny::*)(asIScriptEngine*)' to 'void (CScriptAny::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptany.cpp:168:85: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("any", asBEHAVE_RELEASEREFS, "void f(int&in)", asMETHOD(CScriptAny,ReleaseAllHandles), asCALL_THISCALL); assert( r >= 0 );
                                                                                     ^~~~~~~~
${src}/Sources/AngelScript/addons/scriptany.cpp:144:6: warning: variable 'r' set but not used [-Wunused-but-set-variable]
  int r;
      ^
${src}/Sources/AngelScript/addons/scriptany.cpp: In function 'void RegisterScriptAny_Generic(asIScriptEngine*)':
${src}/Sources/AngelScript/addons/scriptany.cpp:173:6: warning: variable 'r' set but not used [-Wunused-but-set-variable]
  int r;
      ^
[  2%] Building CXX object Sources/AngelScript/projects/cmake_addons/CMakeFiles/Angelscript_addons.dir/__/__/addons/scriptarray.cpp.o
In file included from ${src}/Sources/AngelScript/addons/scriptarray.h:6,
                 from ${src}/Sources/AngelScript/addons/scriptarray.cpp:8:
${src}/Sources/AngelScript/addons/scriptarray.cpp: In function 'void RegisterScriptArray_Native(asIScriptEngine*)':
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'CScriptArray& (CScriptArray::*)(const CScriptArray&)' to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:291:88: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "array<T> &opAssign(const array<T>&in)", asMETHOD(CScriptArray, operator=), asCALL_THISCALL); assert( r >= 0 );
                                                                                        ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'void (CScriptArray::*)(void*)' to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:296:84: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "void insertLast(const T&in value)", asMETHOD(CScriptArray, InsertLast), asCALL_THISCALL); assert(r >= 0);
                                                                                    ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'void (CScriptArray::*)(asUINT)' {aka 'void (CScriptArray::*)(unsigned int)'} to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:297:76: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "void removeAt(uint index)", asMETHOD(CScriptArray, RemoveAt), asCALL_THISCALL); assert(r >= 0);
                                                                            ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'void (CScriptArray::*)(asUINT, asUINT)' {aka 'void (CScriptArray::*)(unsigned int, unsigned int)'} to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:299:91: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "void removeRange(uint start, uint count)", asMETHOD(CScriptArray, RemoveRange), asCALL_THISCALL); assert(r >= 0);
                                                                                           ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'asUINT (CScriptArray::*)() const' {aka 'unsigned int (CScriptArray::*)() const'} to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:301:70: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "uint length() const", asMETHOD(CScriptArray, GetSize), asCALL_THISCALL); assert( r >= 0 );
                                                                      ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'void (CScriptArray::*)(asUINT)' {aka 'void (CScriptArray::*)(unsigned int)'} to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:302:76: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "void reserve(uint length)", asMETHOD(CScriptArray, Reserve), asCALL_THISCALL); assert( r >= 0 );
                                                                            ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'bool (CScriptArray::*)(const CScriptArray&) const' to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:315:89: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "bool opEquals(const array<T>&in) const", asMETHOD(CScriptArray, operator==), asCALL_THISCALL); assert( r >= 0 );
                                                                                         ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'bool (CScriptArray::*)() const' to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:316:71: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "bool isEmpty() const", asMETHOD(CScriptArray, IsEmpty), asCALL_THISCALL); assert( r >= 0 );
                                                                       ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'asUINT (CScriptArray::*)() const' {aka 'unsigned int (CScriptArray::*)() const'} to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:319:74: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("array<T>", "uint get_length() const", asMETHOD(CScriptArray, GetSize), asCALL_THISCALL); assert( r >= 0 );
                                                                          ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'int (CScriptArray::*)()' to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:323:83: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("array<T>", asBEHAVE_GETREFCOUNT, "int f()", asMETHOD(CScriptArray, GetRefCount), asCALL_THISCALL); assert( r >= 0 );
                                                                                   ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'bool (CScriptArray::*)()' to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:325:82: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("array<T>", asBEHAVE_GETGCFLAG, "bool f()", asMETHOD(CScriptArray, GetFlag), asCALL_THISCALL); assert( r >= 0 );
                                                                                  ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'void (CScriptArray::*)(asIScriptEngine*)' to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:326:87: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("array<T>", asBEHAVE_ENUMREFS, "void f(int&in)", asMETHOD(CScriptArray, EnumReferences), asCALL_THISCALL); assert( r >= 0 );
                                                                                       ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'void (CScriptArray::*)(asIScriptEngine*)' to 'void (CScriptArray::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptarray.cpp:327:90: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("array<T>", asBEHAVE_RELEASEREFS, "void f(int&in)", asMETHOD(CScriptArray, ReleaseAllHandles), asCALL_THISCALL); assert( r >= 0 );
                                                                                          ^~~~~~~~
[  3%] Building CXX object Sources/AngelScript/projects/cmake_addons/CMakeFiles/Angelscript_addons.dir/__/__/addons/scriptbuilder.cpp.o
[  3%] Building CXX object Sources/AngelScript/projects/cmake_addons/CMakeFiles/Angelscript_addons.dir/__/__/addons/scriptdictionary.cpp.o
In file included from ${src}/Sources/AngelScript/addons/scriptdictionary.h:10,
                 from ${src}/Sources/AngelScript/addons/scriptdictionary.cpp:3:
${src}/Sources/AngelScript/addons/scriptdictionary.cpp: In function 'void RegisterScriptDictionary_Native(asIScriptEngine*)':
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'bool (CScriptDictionary::*)(const dictKey_t&) const' {aka 'bool (CScriptDictionary::*)(const std::__cxx11::basic_string<char>&) const'} to 'void (CScriptDictionary::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptdictionary.cpp:1041:88: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("dictionary", "bool exists(const string &in) const", asMETHOD(CScriptDictionary,Exists), asCALL_THISCALL); assert( r >= 0 );
                                                                                        ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'bool (CScriptDictionary::*)() const' to 'void (CScriptDictionary::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptdictionary.cpp:1042:73: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("dictionary", "bool isEmpty() const", asMETHOD(CScriptDictionary, IsEmpty), asCALL_THISCALL); assert( r >= 0 );
                                                                         ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'asUINT (CScriptDictionary::*)() const' {aka 'unsigned int (CScriptDictionary::*)() const'} to 'void (CScriptDictionary::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptdictionary.cpp:1043:73: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("dictionary", "uint getSize() const", asMETHOD(CScriptDictionary, GetSize), asCALL_THISCALL); assert( r >= 0 );
                                                                         ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'bool (CScriptDictionary::*)(const dictKey_t&)' {aka 'bool (CScriptDictionary::*)(const std::__cxx11::basic_string<char>&)'} to 'void (CScriptDictionary::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptdictionary.cpp:1044:82: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("dictionary", "bool delete(const string &in)", asMETHOD(CScriptDictionary,Delete), asCALL_THISCALL); assert( r >= 0 );
                                                                                  ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'CScriptArray* (CScriptDictionary::*)() const' to 'void (CScriptDictionary::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptdictionary.cpp:1047:83: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectMethod("dictionary", "array<string> @getKeys() const", asMETHOD(CScriptDictionary,GetKeys), asCALL_THISCALL); assert( r >= 0 );
                                                                                   ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'int (CScriptDictionary::*)()' to 'void (CScriptDictionary::*)()' [-Wcast-function-type]
 #define asMETHOD(c,m) asSMethodPtr<sizeof(void (c::*)())>::Convert((void (c::*)())(&c::m))
                                                                                         ^
${src}/Sources/AngelScript/addons/scriptdictionary.cpp:1053:85: note: in expansion of macro 'asMETHOD'
  r = engine->RegisterObjectBehaviour("dictionary", asBEHAVE_GETREFCOUNT, "int f()", asMETHOD(CScriptDictionary,GetRefCount), asCALL_THISCALL); assert( r >= 0 );
                                                                                     ^~~~~~~~
${src}/Sources/AngelScript/projects/cmake_addons/../../include/angelscript.h:492:89: warning: cast between incompatible pointer to member types from 'bool (CScriptDictionary::*)()' to 'void (CScriptDictionary::*)()' [-Wcast-function-type]
 #define asMETHO